> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sales Tax Report

> Get sales tax details report grouped by date and location.



## OpenAPI

````yaml get /billing/sales-tax-report/export
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/sales-tax-report/export:
    get:
      tags:
        - provider
        - billing
      summary: Get Sales Tax Report
      description: Get sales tax details report grouped by date and location.
      operationId: get_sales_tax_report_billing_sales_tax_report_export_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: start_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: Start date (YYYY-MM-DD)
            title: Start Date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: End date (YYYY-MM-DD)
            title: End Date
          description: End date (YYYY-MM-DD)
        - name: timezone
          in: query
          required: true
          schema:
            type: string
            description: Timezone for date range
            title: Timezone
          description: Timezone for date range
        - name: location_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Optional location IDs to filter by
            title: Location Ids
          description: Optional location IDs to filter by
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SalesTaxReportRow'
                title: >-
                  Response Get Sales Tax Report Billing Sales Tax Report Export
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SalesTaxReportRow:
      properties:
        date:
          type: string
          title: Date
          description: Date of the transactions (YYYY-MM-DD)
        locationName:
          type: string
          title: Locationname
          description: Location name
        retailTaxable:
          type: number
          title: Retailtaxable
          description: Taxable amount for retail/product items (in cents)
        serviceTaxable:
          type: number
          title: Servicetaxable
          description: Taxable amount for services (always 0)
          default: 0
        giftTaxable:
          type: number
          title: Gifttaxable
          description: Taxable amount for gifts (always 0)
          default: 0
        mbrTaxable:
          type: number
          title: Mbrtaxable
          description: Taxable amount for memberships (always 0)
          default: 0
        totalTaxable:
          type: number
          title: Totaltaxable
          description: Total taxable amount (in cents)
        retailTax:
          type: number
          title: Retailtax
          description: Tax collected on retail/product items (in cents)
        serviceTax:
          type: number
          title: Servicetax
          description: Tax collected on services (always 0)
          default: 0
        giftTax:
          type: number
          title: Gifttax
          description: Tax collected on gifts (always 0)
          default: 0
        mbrTax:
          type: number
          title: Mbrtax
          description: Tax collected on memberships (always 0)
          default: 0
        totalTax:
          type: number
          title: Totaltax
          description: Total tax collected (in cents)
        exempt:
          type: number
          title: Exempt
          description: Exempt amount (gross sales - total taxable, in cents)
        grossSales:
          type: number
          title: Grosssales
          description: Gross sales amount pre-tax (in cents)
      type: object
      required:
        - date
        - locationName
        - retailTaxable
        - totalTaxable
        - retailTax
        - totalTax
        - exempt
        - grossSales
      title: SalesTaxReportRow
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````